/**
 * -- Digitalis Utilities Project --
 *  - Inspection Utilities -
 *
 * (C) 2007, Digitalis Informatica. 
 * 
 * Distribuicao e Gestao de Informatica, Lda.
 * Estrada de Paco de Arcos num.9 - Piso -1
 * 2780-666 Paco de Arcos
 * Telefone: (351) 21 4408990
 * Fax: (351) 21 4408999
 * http://www.digitalis.pt 
 */
package pt.digitalis.utils.inspection.exception;

/**
 * Represents an Exception occurred in an auxiliary operation that might be blocking for the normal framework operation.
 * 
 * @author Rodrigo Gonalves <a href="mailto:rgoncalves@digitalis.pt">rgoncalves@digitalis.pt</a>
 * @created 2007/09/04
 */
public class AuxiliaryOperationException extends Exception {

    /** Serial Version ID. */
    private static final long serialVersionUID = 0L;

    /**
     * Constructs a new AuxiliaryOperationException from an Exception.
     * 
     * @param exception
     *            the exception to encapsulate
     */
    public AuxiliaryOperationException(Exception exception) {
        super(exception);
    }

    /**
     * Constructs a new AuxiliaryOperationException from a reason for the exception.
     * 
     * @param reason
     *            the exception cause
     */
    public AuxiliaryOperationException(String reason) {
        super(reason);
    }

    /**
     * Constructs a new AuxiliaryOperationException accepting a reason for the exception
     * 
     * @param reason
     *            the exception cause
     * @param exception
     *            the exception to encapsulate
     */
    public AuxiliaryOperationException(String reason, Exception exception) {
        super(reason, exception);
    }
}
