/**
 * -- Digitalis Utilities Project --
 *  - Inspection Utilities -
 *
 * (C) 2007, Digitalis Informatica. 
 * 
 * Distribuicao e Gestao de Informatica, Lda.
 * Estrada de Paco de Arcos num.9 - Piso -1
 * 2780-666 Paco de Arcos
 * Telefone: (351) 21 4408990
 * Fax: (351) 21 4408999
 * http://www.digitalis.pt 
 */
package pt.digitalis.utils.inspection.exception;

/**
 * Thrown when a request/needed resource is not found.
 * 
 * @author Rodrigo Gonalves <a href="mailto:rgoncalves@digitalis.pt">rgoncalves@digitalis.pt</a>
 * @author Pedro Viegas <a href="mailto:pviegas@digitalis.pt">pviegas@digitalis.pt</a>
 * @created 2007/08/21
 * @see Exception
 */
public class ResourceNotFoundException extends Exception {

    /** Serial Version ID. */
    private static final long serialVersionUID = 0L;

    /**
     * Constructs a new InternalFrameworkException from an Exception.
     * 
     * @param exception
     *            the exception to encapsulate
     */
    public ResourceNotFoundException(Exception exception) {
        super(exception);
    }

    /**
     * Constructs a new InternalFrameworkException from an exception and a reason.
     * 
     * @param exception
     *            the exception to encapsulate
     * @param reason
     *            the reason for the exception
     */
    public ResourceNotFoundException(String reason, Exception exception) {
        super(reason, exception);
    }

    /**
     * Constructs a new InternalFrameworkException from a reason.
     * 
     * @param reason
     *            the reason for the exception
     */
    public ResourceNotFoundException(String reason) {
        super(reason);
    }
}
